Appearance
Conversation Feedback API
All URIs are relative to https://api.syntheticusers.com/api/v1
| Method | HTTP request | Description |
|---|---|---|
| create | POST /feedback | Create |
| delete_feedback | DELETE /feedback/ | Delete Feedback |
| get_feedback | GET /feedback/ | Get Feedback |
| list_feedback | GET /feedback | List Feedback |
| update_feedback | PUT /feedback/ | Update Feedback |
create
ConversationFeedback create(conversation_feedback_create)
Create
Save feedback for a specific conversation
Example
- Bearer Authentication (HTTPBearer):
python
import syntheticusers
from syntheticusers.models.conversation_feedback import ConversationFeedback
from syntheticusers.models.conversation_feedback_create import ConversationFeedbackCreate
from syntheticusers.rest import ApiException
from pprint import pprint
# Defining the host is optional and defaults to https://api.syntheticusers.com/api/v1
# See configuration.py for a list of all supported configuration parameters.
configuration = syntheticusers.Configuration(
host = "https://api.syntheticusers.com/api/v1"
)
# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.
# Configure Bearer authorization: HTTPBearer
configuration = syntheticusers.Configuration(
access_token = os.environ["BEARER_TOKEN"]
)
# Enter a context with an instance of the API client
with syntheticusers.ApiClient(configuration) as api_client:
# Create an instance of the API class
api_instance = syntheticusers.ConversationFeedbackApi(api_client)
conversation_feedback_create = syntheticusers.ConversationFeedbackCreate() # ConversationFeedbackCreate |
try:
# Create
api_response = api_instance.create(conversation_feedback_create)
print("The response of ConversationFeedbackApi->create:\n")
pprint(api_response)
except Exception as e:
print("Exception when calling ConversationFeedbackApi->create: %s\n" % e)Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| conversation_feedback_create | ConversationFeedbackCreate |
Return type
Authorization
HTTP request headers
- Content-Type: application/json
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
delete_feedback
object delete_feedback(feedback_id)
Delete Feedback
Example
- Bearer Authentication (HTTPBearer):
python
import syntheticusers
from syntheticusers.rest import ApiException
from pprint import pprint
# Defining the host is optional and defaults to https://api.syntheticusers.com/api/v1
# See configuration.py for a list of all supported configuration parameters.
configuration = syntheticusers.Configuration(
host = "https://api.syntheticusers.com/api/v1"
)
# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.
# Configure Bearer authorization: HTTPBearer
configuration = syntheticusers.Configuration(
access_token = os.environ["BEARER_TOKEN"]
)
# Enter a context with an instance of the API client
with syntheticusers.ApiClient(configuration) as api_client:
# Create an instance of the API class
api_instance = syntheticusers.ConversationFeedbackApi(api_client)
feedback_id = 'feedback_id_example' # str |
try:
# Delete Feedback
api_response = api_instance.delete_feedback(feedback_id)
print("The response of ConversationFeedbackApi->delete_feedback:\n")
pprint(api_response)
except Exception as e:
print("Exception when calling ConversationFeedbackApi->delete_feedback: %s\n" % e)Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| feedback_id | str |
Return type
object
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
get_feedback
ConversationFeedback get_feedback(conversation_id)
Get Feedback
Example
- Bearer Authentication (HTTPBearer):
python
import syntheticusers
from syntheticusers.models.conversation_feedback import ConversationFeedback
from syntheticusers.rest import ApiException
from pprint import pprint
# Defining the host is optional and defaults to https://api.syntheticusers.com/api/v1
# See configuration.py for a list of all supported configuration parameters.
configuration = syntheticusers.Configuration(
host = "https://api.syntheticusers.com/api/v1"
)
# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.
# Configure Bearer authorization: HTTPBearer
configuration = syntheticusers.Configuration(
access_token = os.environ["BEARER_TOKEN"]
)
# Enter a context with an instance of the API client
with syntheticusers.ApiClient(configuration) as api_client:
# Create an instance of the API class
api_instance = syntheticusers.ConversationFeedbackApi(api_client)
conversation_id = 'conversation_id_example' # str |
try:
# Get Feedback
api_response = api_instance.get_feedback(conversation_id)
print("The response of ConversationFeedbackApi->get_feedback:\n")
pprint(api_response)
except Exception as e:
print("Exception when calling ConversationFeedbackApi->get_feedback: %s\n" % e)Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| conversation_id | str |
Return type
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
list_feedback
PageConversationFeedback list_feedback(id=id, user_id=user_id, user_interview_id=user_interview_id, conversation_id=conversation_id, data_type=data_type, page=page, size=size)
List Feedback
Example
- Bearer Authentication (HTTPBearer):
python
import syntheticusers
from syntheticusers.models.conversation_feedback_type import ConversationFeedbackType
from syntheticusers.models.page_conversation_feedback import PageConversationFeedback
from syntheticusers.rest import ApiException
from pprint import pprint
# Defining the host is optional and defaults to https://api.syntheticusers.com/api/v1
# See configuration.py for a list of all supported configuration parameters.
configuration = syntheticusers.Configuration(
host = "https://api.syntheticusers.com/api/v1"
)
# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.
# Configure Bearer authorization: HTTPBearer
configuration = syntheticusers.Configuration(
access_token = os.environ["BEARER_TOKEN"]
)
# Enter a context with an instance of the API client
with syntheticusers.ApiClient(configuration) as api_client:
# Create an instance of the API class
api_instance = syntheticusers.ConversationFeedbackApi(api_client)
id = 'id_example' # str | Comma-separated list of studies IDs (optional)
user_id = 'user_id_example' # str | Comma-separated list of user IDs (optional)
user_interview_id = 'user_interview_id_example' # str | Comma-separated list of userInterview IDs (optional)
conversation_id = 'conversation_id_example' # str | Comma-separated list of conversation IDs (optional)
data_type = syntheticusers.ConversationFeedbackType() # ConversationFeedbackType | Filter by data type (optional)
page = 1 # int | Page number (optional) (default to 1)
size = 50 # int | Page size (optional) (default to 50)
try:
# List Feedback
api_response = api_instance.list_feedback(id=id, user_id=user_id, user_interview_id=user_interview_id, conversation_id=conversation_id, data_type=data_type, page=page, size=size)
print("The response of ConversationFeedbackApi->list_feedback:\n")
pprint(api_response)
except Exception as e:
print("Exception when calling ConversationFeedbackApi->list_feedback: %s\n" % e)Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| id | str | Comma-separated list of studies IDs | [optional] |
| user_id | str | Comma-separated list of user IDs | [optional] |
| user_interview_id | str | Comma-separated list of userInterview IDs | [optional] |
| conversation_id | str | Comma-separated list of conversation IDs | [optional] |
| data_type | ConversationFeedbackType | Filter by data type | [optional] |
| page | int | Page number | [optional] [default to 1] |
| size | int | Page size | [optional] [default to 50] |
Return type
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
update_feedback
ConversationFeedback update_feedback(feedback_id, conversation_feedback_update)
Update Feedback
Example
- Bearer Authentication (HTTPBearer):
python
import syntheticusers
from syntheticusers.models.conversation_feedback import ConversationFeedback
from syntheticusers.models.conversation_feedback_update import ConversationFeedbackUpdate
from syntheticusers.rest import ApiException
from pprint import pprint
# Defining the host is optional and defaults to https://api.syntheticusers.com/api/v1
# See configuration.py for a list of all supported configuration parameters.
configuration = syntheticusers.Configuration(
host = "https://api.syntheticusers.com/api/v1"
)
# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.
# Configure Bearer authorization: HTTPBearer
configuration = syntheticusers.Configuration(
access_token = os.environ["BEARER_TOKEN"]
)
# Enter a context with an instance of the API client
with syntheticusers.ApiClient(configuration) as api_client:
# Create an instance of the API class
api_instance = syntheticusers.ConversationFeedbackApi(api_client)
feedback_id = 'feedback_id_example' # str |
conversation_feedback_update = syntheticusers.ConversationFeedbackUpdate() # ConversationFeedbackUpdate |
try:
# Update Feedback
api_response = api_instance.update_feedback(feedback_id, conversation_feedback_update)
print("The response of ConversationFeedbackApi->update_feedback:\n")
pprint(api_response)
except Exception as e:
print("Exception when calling ConversationFeedbackApi->update_feedback: %s\n" % e)Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| feedback_id | str | ||
| conversation_feedback_update | ConversationFeedbackUpdate |
Return type
Authorization
HTTP request headers
- Content-Type: application/json
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |